View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000994Ecere SDKcompilerpublic2013-08-29 21:012014-08-08 18:17
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.08 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000994: Bit Classes: Prevent overflow into other bitfields
DescriptionPipeOpenMode { output = 1, error = 1, input = 2 }

input was overflowing into the next bit field
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001041)
jerome (administrator)
2013-08-29 21:09

At the very least there should be a warning when assigning 2 to a bool!
(0001330)
jerome (administrator)
2014-06-10 06:21

Fixed by:
https://github.com/ecere/ecere-sdk/commit/981767e16256c835738562f4280e06140dcc0067 [^]

That will now emit a warning:

warning: incompatible expression 2 (const int); expected bool

- Issue History
Date Modified Username Field Change
2013-08-29 21:01 jerome New Issue
2013-08-29 21:09 jerome Note Added: 0001041
2014-06-10 06:21 jerome Assigned To => jerome
2014-06-10 06:21 jerome Priority urgent => immediate
2014-06-10 06:21 jerome Status new => assigned
2014-06-10 06:21 jerome Fixed in Version => 0.44.10 64
2014-06-10 06:21 jerome Target Version 0.46 eC II => 0.44.10 64
2014-06-10 06:21 jerome Note Added: 0001330
2014-06-10 06:22 jerome Status assigned => resolved
2014-06-10 06:22 jerome Resolution open => fixed
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker